Net::Libdnet::Eth(3pm)

NAME
Net::Libdnet::Eth - high level API to access libdnet eth_* functions

SYNOPSIS
   use Net::Libdnet::Eth;

   my $h = Net::Libdnet::Eth->new(device => 'eth0');

DESCRIPTION
This modules is a higher level abstraction for libdnet eth_* functions.

METHODS

new (device => scalar)
    Returns an object to eth layer on success, undef otherwise. You MUST give a network interface to use for sending.

get ()
    Returns the hardware address associated with used network interface. Returns undef on error.

set (scalar)
    Sets the hardware address specified by scalar of used network interface. Returns undef on error.

send (scalar)
    Sends the raw data specified by scalar to the network interface. Returns the number of bytes sent on success, undef on error.

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
You may distribute this module under the terms of the BSD license. See LICENSE file in the source distribution archive.

Copyright (c) 2008-2024, Patrice <GomoR> Auffret